unit TmdTrayDemoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  mdMsgCmp, mdTray, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    imgIcon: TImage;
    btnUse: TButton;
    btnPrev: TButton;
    btnNext: TButton;
    mdTray: TmdTray;
    procedure btnUseClick(Sender: TObject);
    procedure btnPrevClick(Sender: TObject);
    procedure btnNextClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R ExtraIcons.res}

procedure TForm1.btnUseClick(Sender: TObject);
begin
  btnPrev.Enabled := (Sender AS TComponent).Tag = 1;
  btnNext.Enabled := (Sender AS TComponent).Tag = 1;
  Case (Sender AS TComponent).Tag of
    0 : // Use icon
    begin
      mdTray.SetIconHandle(CopyIcon(imgIcon.Picture.Icon.Handle));
      btnUse.Caption := '&Don''t use icon';
      btnUse.Tag := 1;
    end;
    1 :
    Begin
      mdTray.SetIconHandle(0);
      btnUse.Caption := '&Use icon';
      btnUse.Tag := 0;
    end;
  end;
end;

procedure TForm1.btnPrevClick(Sender: TObject);
begin
  mdTray.Prev;
end;

procedure TForm1.btnNextClick(Sender: TObject);
begin
  mdTray.Next;
end;

end.
